%=======================================================================
%To solve optimization problem:
%Create a new subfolder in ...\PSG\MATLAB:
%..\PSG\MATLAB\problem_kb_err
%Download and unpack the following zipped file from 'Data' to the created folder:
%'Mat_data_problem_kb_err.zip'
%Run program 'problem_kb_err.m'
%=======================================================================

clc;
clear;
addpath('..');

%Load data:
load('.\problem_kb_err_data.mat')
%Define input arguments:
string = {'kb_err'};
w = {0.1};

%Solve optimization problems:
[xout, fval, status, output] = riskprog(string, w, H, c);
 
%Display results:
disp(' ');
disp('Results: ');
%Display status of optimization problem:
disp(sprintf('status of optimization problem = %s', status));
%Display solving time:
disp(sprintf('solving time = %g', output.solving_time));
%Display objective:
disp(sprintf('objective = %g', fval));
%Display function:
disp(sprintf('kb_err= %g', output.frval));
%Display optimal point:
disp('optimal point = ');
disp(xout');
